package AuthenTest::Controller::Root;

use strict;
use warnings;
use base 'Catalyst::Controller';

#
# Sets the actions in this controller to be registered with no prefix
# so they function identically to actions created in MyApp.pm
#
__PACKAGE__->config->{namespace} = '';

=head1 NAME

AuthenTest::Controller::Root - Root Controller for AuthenTest

=head1 DESCRIPTION

[enter your description here]

=head1 METHODS

=cut

=head2 default

=cut

sub default : Private {
    my ( $self, $c ) = @_;

    if($c->authenticate({ 'username' => 'myusername', 
                          'password' => 'mypassword'})){
        $c->response->body( qq{<html><body>Logged in } . $c->user->get('name') );
    } else {
        $c->response->body( qq{<html><body>FORBIDDEN!!!</body></html>} );
    }
}

sub authed_passwd: Local {
    my ($self, $c) = @_;

    if($c->authenticate({ 'username' => 'root',
                          'password' => 'capside'})){
        $c->response->body( qq{<html><body>Logged in } . $c->user->get('name') );
    } else {
        $c->response->body( qq{<html><body>FORBIDDEN!!!</body></html>} );
    }
}

sub authed_stub: Local {
    my ($self, $c) = @_;

    if($c->authenticate({ 'username' => 'root',
                          'password' => 'root'})){
        $c->response->body( qq{<html><body>Logged in } . $c->user->get('name') );
    } else {
        $c->response->body( qq{<html><body>FORBIDDEN!!!</body></html>} );
    }
}

sub authed_login: Local {
    my ($self, $c) = @_;

    if ($c->login('root', 'root')){
        $c->response->body( qq{<html><body>Logged in correctly</body></html> } );
    } else {
        $c->response->body( qq{<html><body>FORBIDDEN!!!</body></html>} );
    }
}

=head2 end

Attempt to render a view, if needed.

=cut 

sub end : ActionClass('RenderView') {}

=head1 AUTHOR

root

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
